List background checks
curl --request GET \
--url https://api.syntage.com/background-checks \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/background-checks"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/background-checks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/BackgroundCheck",
"@id": "/background-checks",
"@type": "hydra:Collection",
"hydra:member": [
{
"id": "91ab5678-1234-5678-9abc-def012345678",
"link": "/entities/91ab5678-1234-5678-9abc-def012345678",
"country": "MX",
"score": 85.5,
"status": "completed",
"scores": [
{
"id": "73de0123-4567-8901-bcde-f23456789012",
"category": "criminal_record",
"score": 92.3,
"status": "clean",
"recordsCount": 3
}
],
"databaseStatuses": [
{
"id": "64ef1234-5678-9012-cdef-345678901234",
"database": {
"id": "55f01234-5678-9012-cdef-345678901234",
"name": "Mexico Criminal Records Database",
"country": "MX"
},
"category": "criminal_record",
"status": "completed"
}
],
"files": [
{
"@id": "/files/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "File",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"type": "invoice.cfdi.xml",
"resource": "/invoices/7c45e9c6-8f7f-4d0e-b6e5-65fef6c8c2f9",
"mimeType": "text/xml",
"extension": "xml",
"size": 40544,
"filename": "6f3c5312-2849-4525-86f6-c48a54c64c60.xml",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z",
"@id": "/background-checks/91ab5678-1234-5678-9abc-def012345678",
"@type": "BackgroundCheck"
}
],
"hydra:totalItems": 1,
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:first": "<string>",
"hydra:next": "<string>",
"hydra:last": "<string>"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
}{
"message": "<string>"
}Background Checks
List background checks
Lists background checks available to the organization. Use filters to narrow the list by processing status, country scope, or score.
GET
/
background-checks
List background checks
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Query Parameters
Collection cursor pointer to the next page
Collection cursor pointer to the previous page
Number of items per page
Required range:
1 <= x <= 1000Filter background checks by status Status of the background check:
- pending: Background check is being processed
- completed: Background check has been completed successfully
- error: Background check encountered an error during processing
Available options:
pending, completed, error Example:
"completed"
Filter background checks by country Country scope for background check:
- MX: Mexico-specific background checks
- ALL: International background checks across multiple countries
Available options:
MX, ALL Example:
"MX"
Order by background check score
Available options:
asc, desc Example:
"asc"
Order by resource creation date
Available options:
asc, desc Example:
"asc"
Order by resource update date
Available options:
asc, desc Example:
"asc"
Response
Background Checks
Example:
"/background-checks"
Show child attributes
Show child attributes
Total number of items found
Required range:
x >= 0Example:
1
Pagination information
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?